"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.allowedExtensions = void 0;
var utils_1 = require("../utils");
var allowedExtensions = function (allowedExtensions) {
    return function (errorMessage) {
        return function (uploadedFile) {
            var actualExtension = utils_1.getFileExtension(uploadedFile.name);
            if (allowedExtensions.length > 0 &&
                !allowedExtensions.includes(actualExtension)) {
                return utils_1.formatMessage(errorMessage, [
                    uploadedFile.name,
                    actualExtension,
                    allowedExtensions.join(', '),
                ]);
            }
            return null;
        };
    };
};
exports.allowedExtensions = allowedExtensions;
//# sourceMappingURL=allowed-extensions.js.map