"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.allowedMimetypes = void 0;
var utils_1 = require("../utils");
var allowedMimetypes = function (allowedMimetypes) {
    return function (errorMessage) {
        return function (uploadedFile) {
            var actualMimetype = uploadedFile.mimetype;
            if (allowedMimetypes.length > 0 &&
                !allowedMimetypes.includes(actualMimetype)) {
                return utils_1.formatMessage(errorMessage, [
                    uploadedFile.name,
                    actualMimetype,
                    allowedMimetypes.join(', '),
                ]);
            }
            return null;
        };
    };
};
exports.allowedMimetypes = allowedMimetypes;
//# sourceMappingURL=allowed-mimetypes.js.map