"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.disallowedExtensions = void 0;
var utils_1 = require("../utils");
var disallowedExtensions = function (disallowedExtensions) {
    return function (errorMessage) {
        return function (uploadedFile) {
            var actualExtension = utils_1.getFileExtension(uploadedFile.name);
            if (disallowedExtensions.includes(actualExtension)) {
                return utils_1.formatMessage(errorMessage, [
                    uploadedFile.name,
                    actualExtension,
                    disallowedExtensions.join(', '),
                ]);
            }
            return null;
        };
    };
};
exports.disallowedExtensions = disallowedExtensions;
//# sourceMappingURL=disallowed-extensions.js.map