"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.disallowedMimetypes = void 0;
var utils_1 = require("../utils");
var disallowedMimetypes = function (disallowedMimetypes) {
    return function (errorMessage) {
        return function (uploadedFile) {
            var actualMimetype = uploadedFile.mimetype;
            if (disallowedMimetypes.includes(actualMimetype)) {
                return utils_1.formatMessage(errorMessage, [
                    uploadedFile.name,
                    actualMimetype,
                    disallowedMimetypes.join(', '),
                ]);
            }
            return null;
        };
    };
};
exports.disallowedMimetypes = disallowedMimetypes;
//# sourceMappingURL=disallowed-mimetypes.js.map